Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/43434/?format=api
{ "ob_id": 43434, "uuid": "98692ec457ee431cacc4027820e46411", "title": "Aboveground carbon (AGC) drone imagery and field data for Kaboi Lake 2021", "abstract": "Drone imagery and field data for aboveground carbon (AGC) measurements at Kaboi Lake, Sabah, Malaysia. \r\nData consist of 597 jpeg files of a small forest stand collected by a drone and one csv for field measurements of 24 tree heights. \r\nDrone imagery covering the 2 ha site was collected in March 2021, with field data collected concurrently. \r\nThe drone used was a DJI Phantom 4 Pro V2.0 quadcopter equipped with a 20 megapixel optical camera. \r\nThe data were used to compare drone- and field-based measurements of AGC over small sites, and to inform best practices for calculating baseline AGC for small-scale, community-based forest restoration projects. \r\nData were collected by members of Cardiff University and the Danau Girang Field Centre. Data interpretation by B Newport, University of Bristol.", "keywords": "Drone,Carbon,Structure-from-Motion,Aboveground carbon,Forest", "publicationState": "citable", "dataPublishedTime": "2025-02-11T18:33:05", "doiPublishedTime": "2025-02-11T18:33:33.463875", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43465/?format=api", "dataPath": "/badc/deposited2025/Kaboi_Lake_drone_imagery/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 4611244664, "numberOfFiles": 599, "fileFormat": "BADC-CSV and JPEG format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/12031/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/4688/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Drone imagery collected using a DJI Phantom 4 Pro V2.0 quadcopter on 22nd March 2021. Field measurements collected concurrently. csv created by B Newport.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13239/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/43463/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206761/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206762/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206763/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206764/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206765/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206766/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206767/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206933/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/43436/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }